| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
libdar::crc Class Referenceabstract
Private

pure virtual class defining interface of a CRC object More...

`#include <crc.hpp>`

Inherited by libdar::crc_i, libdar::crc_i, libdar::crc_n, and libdar::crc_n.

## Public Member Functions
| crc (const crc &ref)=default
| crc (crc &&ref) noexcept=default
crc & | operator= (const crc &ref)=default
crc & | operator= (crc &&ref) noexcept=default
virtual bool | operator== (const crc &ref) const =0
bool | operator!= (const crc &ref) const
virtual void | compute (const infinint &offset, const char *buffer, U_I length)=0
virtual void | compute (const char *buffer, U_I length)=0
virtual void | clear ()=0
virtual void | dump (proto_generic_file &f) const =0
virtual std::string | crc2str () const =0
virtual infinint | get_size () const =0
virtual crc * | clone () const =0
| crc (const crc &ref)=default
| crc (crc &&ref) noexcept=default
crc & | operator= (const crc &ref)=default
crc & | operator= (crc &&ref) noexcept=default
virtual bool | operator== (const crc &ref) const =0
bool | operator!= (const crc &ref) const
virtual void | compute (const infinint &offset, const char *buffer, U_I length)=0
virtual void | compute (const char *buffer, U_I length)=0
virtual void | clear ()=0
virtual void | dump (proto_generic_file &f) const =0
virtual std::string | crc2str () const =0
virtual infinint | get_size () const =0
virtual crc * | clone () const =0

## Static Public Attributes
static constexpr U_I | OLD_CRC_SIZE = 2

## Detailed Description

pure virtual class defining interface of a CRC object

Definition at line 46 of file dar64-2.8.3-win64/include/dar/crc.hpp.

## Constructor & Destructor Documentation

## ◆ crc() [1/2]

libdar::crc::crc | ( |  | ) |
| inline

Definition at line 51 of file dar64-2.8.3-win64/include/dar/crc.hpp.

## ◆ crc() [2/2]

libdar::crc::crc | ( |  | ) |
| inline

Definition at line 51 of file src/libdar/crc.hpp.

## Member Function Documentation

## ◆ operator!=() [1/2]

bool libdar::crc::operator!= | ( | const crc & | ref | ) | const
| inline

Definition at line 59 of file dar64-2.8.3-win64/include/dar/crc.hpp.

## ◆ operator!=() [2/2]

bool libdar::crc::operator!= | ( | const crc & | ref | ) | const
| inline

Definition at line 59 of file src/libdar/crc.hpp.

## Member Data Documentation

## ◆ OLD_CRC_SIZE

constexpr U_I libdar::crc::OLD_CRC_SIZE = 2
| static constexpr

Definition at line 49 of file dar64-2.8.3-win64/include/dar/crc.hpp.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/crc.hpp
- src/libdar/crc.hpp